Index: trunk/SRC/Computation/curl.pro
===================================================================
--- trunk/SRC/Computation/curl.pro	(revision 238)
+++ trunk/SRC/Computation/curl.pro	(revision 242)
@@ -10,12 +10,12 @@
 ; Matrix representing the zonal coordinates (U point) of a field of vectors
 ; A 2D (xy), 3D (xyz or yt) or a structure readable by litchamp and containing
-; a 2D (xy), 3D (xyz or yt) array (4d case is not coded yet).
-; note that the dimension of the array must suit the domain dimension.
+; a 2D (xy), 3D (xyz or yt) array (4D case is not coded yet).
+; Note that the dimension of the array must suit the domain dimension.
 ;
 ; @param VV
 ; Matrix representing the meridional coordinates (V point) of a field of vectors
 ; A 2D (xy), 3D (xyz or yt) or a structure readable by litchamp and containing
-; a 2D (xy), 3D (xyz or yt) array (4d case is not coded yet).
-; note that the dimension of the array must suit the domain dimension.
+; a 2D (xy), 3D (xyz or yt) array (4D case is not coded yet).
+; Note that the dimension of the array must suit the domain dimension.
 ;
 ; @keyword DIREC {type=scalar string}
@@ -36,5 +36,5 @@
 ; - Works only for Arakawa C-grid.
 ; - UU must be on U grid, VV must be on V grid
-; - 4d case is not coded yet
+; - 4D case is not coded yet
 ; - the common variable jpt is used to differ xyz (jpt=1) and xyt (jpt\=1) cases.
 ; - U and V arrays are cut in the same geographic domain. Because of the shift between
@@ -61,5 +61,5 @@
 ;
 ; @todo
-; code the 4d case
+; code the 4D case
 ;
 ;-
Index: trunk/SRC/Computation/div.pro
===================================================================
--- trunk/SRC/Computation/div.pro	(revision 238)
+++ trunk/SRC/Computation/div.pro	(revision 242)
@@ -10,5 +10,5 @@
 ; Matrix representing the zonal coordinates (U point) of a field of vectors
 ; A 2D (xy), 3D (xyz or yt) or a structure readable by litchamp and containing
-; a 2D (xy), 3D (xyz or yt) array (4d case is not coded yet).
+; a 2D (xy), 3D (xyz or yt) array (4D case is not coded yet).
 ; note that the dimension of the array must suit the domain dimension.
 ;
@@ -16,5 +16,5 @@
 ; Matrix representing the meridional coordinates (V point) of a field of vectors
 ; A 2D (xy), 3D (xyz or yt) or a structure readable by litchamp and containing
-; a 2D (xy), 3D (xyz or yt) array (4d case is not coded yet).
+; a 2D (xy), 3D (xyz or yt) array (4D case is not coded yet).
 ; note that the dimension of the array must suit the domain dimension.
 ;
@@ -36,5 +36,5 @@
 ; - Works only for Arakawa C-grid.
 ; - UU must be on U grid, VV must be on V grid
-; - 4d case is not coded yet
+; - 4D case is not coded yet
 ; - the common variable jpt is used to differ xyz (jpt=1) and xyt (jpt\=1) cases.
 ; - U and V arrays are cut in the same geographic domain. Because of the shift between
@@ -60,9 +60,9 @@
 ;
 ; @todo
-; code the 4d case
+; code the 4D case
 ;
 ;-
 ;
-FUNCTION div, uu, vv, DIREC = DIREC
+FUNCTION div, uu, vv, DIREC = direc
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/Computation/grad.pro
===================================================================
--- trunk/SRC/Computation/grad.pro	(revision 238)
+++ trunk/SRC/Computation/grad.pro	(revision 242)
@@ -9,7 +9,8 @@
 ; @param FIELD
 ; The field for which we want to compute the gradient. A 2D (xy),
-; 3D (xyz or yt) or 4D (xyzt) array or a structure readable by litchamp
+; 3D (xyz or yt) or 4D (xyzt) array or a structure readable by 
+; <proidl>litchamp</proidl>
 ; and containing a 2D (xy), 3D (xyz or yt) or 4D (xyzt) array.
-; note that the dimension of the array must suit the domain dimension.
+; Note that the dimension of the array must suit the domain dimension.
 ;
 ; @param DIREC {type=scalar string}
@@ -308,18 +309,6 @@
       ENDIF
     END
-;------------------------------------------------------------
-;------------------------------------------------------------
     ELSE:return, report('input array must have 2, 3 or 4 dimensions')
   ENDCASE
-;------------------------------------------------------------
-
-
-;------------------------------------------------------------
   return, res
 END
-
-
-
-
-
-
